cURL
curl --request POST \ --url https://statsigapi.net/console/v1/param_stores \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "displayName": "<string>", "targetAppIDs": [ "<string>" ], "tags": [ "<string>" ], "team": "<string>" } '
{ "message": "Param Store read successfully.", "data": { "id": "6O13wytnLL1Lss5QgUSAeu", "name": "param 1", "displayName": "param 1", "description": "", "createdTime": 1734618662756, "creatorID": "5O908pyGoCqw6QH1nt8v82", "lastModifierID": "5O908pyGoCqw6QH1nt8v82", "parameters": [ { "name": "prm1", "ref_type": "static", "param_type": "boolean", "value": false }, { "name": "prm2", "ref_type": "static", "param_type": "boolean", "value": false } ] } }
Optional header to respect review settings for mutation endpoints.
Param Store Name
Param Store Description
Param Store Display Name
Target App IDs
Tags
Team
Create param store
A simple string explaining the result of the operation.
A single result.
Show child attributes
Param Store ID
Param Store Creation Time
Creator ID
Last Modifier ID
List of Parameters
Parameter Definition
static
Parameter Name
boolean
Team Name
Team ID
Was this page helpful?